Bug 94288 - Entering chart mode doesnt show chart sidebar
Summary: Entering chart mode doesnt show chart sidebar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.5.0
Keywords:
: 118501 (view as bug list)
Depends on:
Blocks: Chart-Sidebar OLE-Object-Edit-Transition
  Show dependency treegraph
 
Reported: 2015-09-16 21:16 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-12-19 11:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-09-16 21:16:07 UTC
When inserting a chart or double clicking on a chart to enter chart edit mode, the chart properties sidebar doesnt appear unless you click again on the chart element.

Version: 5.1.0.0.alpha1+
Build ID: 2639eadce4c9ccead9112a6893b5e9e2e0fefd78
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-14_23:56:58
Locale: en-US (en_US.UTF-8)
Comment 1 QA Administrators 2016-09-20 10:32:19 UTC Comment hidden (obsolete)
Comment 2 Xisco Faulí 2018-07-10 12:19:24 UTC
*** Bug 118501 has been marked as a duplicate of this bug. ***
Comment 3 peekaa 2018-08-09 10:30:47 UTC
Still present in 6.1. SideBar is completely inactive, inresponsible when editing chart. Its really a bug, error, not feature request. Win7, LO6.1. How can we teach student with this? I hoped its done with 6.1. The school year starts early.... :-(


Someone responsible, pls change the importance.
Comment 4 QA Administrators 2019-08-19 06:59:27 UTC Comment hidden (obsolete)
Comment 5 Commit Notification 2019-11-26 14:41:28 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2d01ed9e8be543460e41e009fa992103a7c8d4c0

tdf#94288: Show chart props sidebar on activation

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-11-27 12:11:38 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 3a6f270edfffb97763927b2732feacedbdac1e80
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Muhammet, thanks for fixing this issue.

PD: I found bug 129056 while verifying it...